{#
/**
 * Shortfreetext, location map service style, item 100 Html
 *
 * @var $extraclass
 * @var name                        $ia[1]
 * @var basename                        $ia[1]
 * @var dispVal                       $_SESSION['survey_'.Yii::app()->getConfig('surveyID')][$ia[1]] }}
 * @var location_getfrombrowser
 * @var location_defaultcoordinates
 * @var location_mapzoom
 * @var location_mapheight
 */
#}
{% set currentLat = "" %}
{% set currentLong = "" %}
{% if(value) %}
    {% set value = value|trim %}
    {%if strpos(";",value) %}
        
    {% else %}
        {% set value = "" %}
    {% endif %}
{% endif %}
<div class="{{ str_replace('text-item','',coreClass) }} map-item geoloc-item {{ extraclass }}" role="group" aria-labelledby="ls-question-text-{{ basename }}">
    <div class="geoname_search row" >
        <div class="col-sm-12">
            <div class="input-group">
                <div class="input-group-addon search-icon">
                    <span class="fa fa-search"></span>
                </div>
                    <input
                        id="searchbox_{{ name }}"
                        placeholder="{{ gT("Search (3 characters minimum)") }}"
                        class="form-control"
                        type="text"
                     />

                <div class="input-group-addon checkbox">
                        <label for="restrictToExtent_{{ name }}">
                        <input
                            type="checkbox"
                            id="restrictToExtent_{{ name }}"
                            title="{{ gT("Restrict search to map extent") }}"
                            />
                            <span class="hidden-xs">{{ gT("Restrict search to map extent") }}</span>
                        </label>
                </div>
            </div>
        </div>
    </div>

    <div class="row form-inline">
        <!-- No javascript need a way to answer -->
            {# Where is the answer-item ? #}
            <div class="answer-item geoloc-item text-item ls-js-hidden">
                <input
                    type="text"
                    name="{{ name }}"
                    id="answer{{ name }}"
                    value="{{ dispVal }}"
                    class="form-control"
                >
            </div>

            <!-- readonly until update a value can update the coordinate -->
            <div class="ign-coordinate-item form-group col-sm-4">
                <label for="answer_lat{{ name }}" class="control-label">
                    {{ gT("Latitude:") }}
                </label>
                <input
                class="coords text form-control"
                type="number"
                step="any"
                name="{{ name }}_lat"
                id="answer_lat{{ name }}"
                value="{{ currentLat }}"
                />
            </div>

            <div class="ign-coordinate-item form-group col-sm-4">
                <label for="answer_lng{{ name }}_c" class="control-label">
                    {{ gT("Longitude:") }}
                </label>
                <input
                class="coords text form-control"
                type="number"
                step="any"
                name="{{ name }}_lng"
                id="answer_lng{{ name }}"
                value="{{ currentLong }}"
                />
            </div>
            <div class="col-sm-4 text-right">
                 <button class="btn btn-success btn-askposition" data-asklocation="map_{{ name }}" type="button">
                    <i class="fa fa-crosshairs" aria-hidden="true"></i>
                    {% if(surveyInfo.surveyls_language == 'fr' ) %}
                        Localisez moi
                    {% else %}
                        {{ gT("Locate me") }}
                    {% endif %}
                </button> 
            </div>
        </div>
        <input
            type="hidden"
            name="mapservice_{{ name }}"
            id="mapservice_{{ name }}"
            class="mapservice"
            value="ign"
        />
    <div class="">
    <!-- Map -->
        {% set mapheight = 300 %}
        {% if(intval(question_template_attribute.location_mapheight) > 0) %}
            {% set mapheight = intval(question_template_attribute.location_mapheight) %}
        {% endif %}
        <div id="map_{{ name }}" style="width: 100%; height: {{ mapheight }}px;">
        </div>
    </div>

    {% if questionHelp %}
        <div class="questionhelp">
            {{ gT("Click to set the location or drag and drop the pin. You may may also enter coordinates") }}
        </div>
    {% endif %}
</div>
{% set defaultcoordinates = "46.227638 2.213749" %}
{% if question_template_attribute.location_defaultcoordinates|trim and strpos(question_template_attribute.location_defaultcoordinates," ") %}
    {% set defaultcoordinates = "question_template_attribute.location_defaultcoordinates" %}
{% endif %}


{{ registerPackage('devbridge-autocomplete') }}
{# for ign default API key : https://geoservices.ign.fr/services-web-essentiels #}
{%
    set scriptVars = {
      'geonameUser': getConfig('GeoNamesUsername'),
      'geonameLang': surveyInfo.language,
      'ignApiKey':  getConfig('ignApiKey') ?: 'essentiels',
    }
%}
<script>
    IGNGeoInitialize('{{ name }}', {
        defaultcoordinates: {{ json_encode(defaultcoordinates) }},
        getfrombrowser: {{ intval(question_template_attribute.location_getfrombrowser) }},
        latitute: '',
        longitude: '',
        zoomLevel: {{ json_encode(question_template_attribute.location_mapzoom) }}
    });
</script>
{{ unregisterPackage('leaflet') }}
{{ registerScript('IgnScriptVar', "IGNmap=" ~ json_encode(scriptVars) ~";\nLSmaps=[];", "POS_HEAD") }}
